## Typing stubs for geopandas

This is a [PEP 561](https://peps.python.org/pep-0561/)
type stub package for the [`geopandas`](https://github.com/geopandas/geopandas) package.
It can be used by type-checking tools like
[mypy](https://github.com/python/mypy/),
[pyright](https://github.com/microsoft/pyright),
[pytype](https://github.com/google/pytype/),
[Pyre](https://pyre-check.org/),
PyCharm, etc. to check code that uses `geopandas`. This version of
`types-geopandas` aims to provide accurate annotations for
`geopandas==1.0.1`.

This package is part of the [typeshed project](https://github.com/python/typeshed).
All fixes for types and metadata should be contributed there.
See [the README](https://github.com/python/typeshed/blob/main/README.md)
for more details. The source for this package can be found in the
[`stubs/geopandas`](https://github.com/python/typeshed/tree/main/stubs/geopandas)
directory.

This package was tested with
mypy 1.14.1,
pyright 1.1.389,
and pytype 2024.10.11.
It was generated from typeshed commit
[`c01e731dd1fb6d6ae3c9ef00e2f19a89ab1ffb24`](https://github.com/python/typeshed/commit/c01e731dd1fb6d6ae3c9ef00e2f19a89ab1ffb24).